<sqtm-core-entity-view-wrapper [sqtmCoreViewId]="'user-view'">
  <div class="flex full-height full-width neutral-background-color">
    @if (componentData$ | async; as componentData) {
      <div class="flex-column full-width">
        <ng-content select="[projection=context-title]"> </ng-content>
        <div class="flex-row full-width">
          <sqtm-app-admin-view-header
            class="full-width p-t-10 p-r-20"
            [entityNameKey]="'login'"
            [dropdownMenu]="userMenu"
            [showMenu]="canDeleteUser$ | async"
            [showsNameChangeConfirmDialog]="isViewedUserSelf$ | async"
            [nameChangeConfirmationMessageKey]="
              'sqtm-core.administration-workspace.users.dialog.message.change-current-user-login-warning'
            "
            (nameChanged)="handleLoginChanged()"
          >
            <ng-content select="[projection=context-buttons]"> </ng-content>
          </sqtm-app-admin-view-header>
        </div>
        <div class="flex-row full-width full-height">
          <div class="flex-fixed-size side-bar">
            <div class="anchor-bar">
              <sqtm-core-anchor>
                <sqtm-core-anchor-group [id]="'content'">
                  <sqtm-core-anchor-link
                    nz-tooltip
                    nzTooltipPlacement="right"
                    sqtmCoreDefaultAnchorLink
                    [id]="'information'"
                    [nzTooltipTitle]="
                      'sqtm-core.generic.label.information.plural' | translate
                    "
                    [iconName]="'sqtm-core-administration:information'"
                  >
                  </sqtm-core-anchor-link>
                  @if (!$isTestAutoServerUser()) {
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'authorisations'"
                      [nzTooltipTitle]="
                        'sqtm-core.entity.user.authorisation.plural' | translate
                      "
                      [iconName]="'sqtm-core-administration:project'"
                    >
                      @if (
                        userViewService.authorisationCount$ | async;
                        as authorisationCount
                      ) {
                        @if (authorisationCount > 0) {
                          <div
                            class="anchor-counter"
                            [attr.data-test-element-id]="
                              'user-view-authorisation-count'
                            "
                          >
                            <span>{{ authorisationCount }}</span>
                          </div>
                        }
                      }
                    </sqtm-core-anchor-link>
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      [id]="'teams'"
                      [nzTooltipTitle]="
                        'sqtm-core.entity.team.plural' | translate
                      "
                      [iconName]="'sqtm-core-administration:team'"
                    >
                      @if (userViewService.teamCount$ | async; as teamCount) {
                        @if (teamCount > 0) {
                          <div
                            class="anchor-counter"
                            [attr.data-test-element-id]="'user-view-team-count'"
                          >
                            <span>{{ teamCount }}</span>
                          </div>
                        }
                      }
                    </sqtm-core-anchor-link>
                    @if (
                      adminReferentialDataService.isPremiumPluginInstalled$
                        | async
                    ) {
                      <sqtm-core-anchor-link
                        nz-tooltip
                        nzTooltipPlacement="right"
                        [id]="'permissions'"
                        [nzTooltipTitle]="
                          'sqtm-core.entity.user.permission.plural' | translate
                        "
                        [iconName]="'sqtm-core-administration:approval'"
                      >
                      </sqtm-core-anchor-link>
                    }
                  } @else {
                    <sqtm-core-anchor-link
                      nz-tooltip
                      nzTooltipPlacement="right"
                      sqtmCoreDefaultAnchorLink
                      [id]="'api-token'"
                      [nzTooltipTitle]="
                        'sqtm-core.entity.user.api-token.title' | translate
                      "
                      [iconName]="'sqtm-core-administration:authentication'"
                    >
                    </sqtm-core-anchor-link>
                  }
                </sqtm-core-anchor-group>
              </sqtm-core-anchor>
            </div>
          </div>
          <div class="admin-contextual-content-body full-height full-width">
            <router-outlet></router-outlet>
          </div>
        </div>
      </div>
    }
  </div>

  <nz-dropdown-menu #userMenu="nzDropdownMenu">
    <ul nz-menu [attr.data-test-menu-id]="'user-menu'">
      <li
        nz-menu-item
        class="sqtm-core-error-message"
        [attr.data-test-menu-item-id]="'delete-user'"
        (click)="handleDelete()"
      >
        {{ 'sqtm-core.generic.label.delete' | translate }}
      </li>
    </ul>
  </nz-dropdown-menu>
</sqtm-core-entity-view-wrapper>
